ReductionTerms.h File Reference
`#include "BoundedDivisorsOf.h"`
`#include "RelatedTerms.h"`
`#include "LLReductor.h"`
`#include "MinimalLeadingTerms.h"`
`#include "MonomialTerms.h"`
`#include "LeadingTerms.h"`
`#include "LeadingTerms00.h"`
`#include "LeadingTerms11.h"`
`#include "MonomialPlusOneTerms.h"`
`#include <polybori/routines/pbori_algo.h>`
`#include "groebner_defs.h"`

Go to the source code of this file.

## Classes

class | polybori::groebner::ReductionTerms
| This class defines term for `ReductionStrategy`. More...

## Namespaces

| polybori
| polybori::groebner

## Constant Groups

| polybori
| polybori::groebner

## Functions

MonomialSet | polybori::groebner::mod_mon_set (const MonomialSet &as, const MonomialSet &vs)

## Detailed Description

Author
  Michael Brickenstein (original) and Alexander Dreyer (refactored)

Date
  2012-01-05

This file includes the definition of the class `ReductionTerms`.

Copyright:
  (c) 2006-2012 by The PolyBoRi Team